Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface SecurityProvider

All Known Subinterfaces:
  AdjudicationProvider, AdjudicationProviderV2, AuditProvider, AuthenticationProvider, AuthenticationProviderV2, AuthorizationProvider, BulkAdjudicationProvider, BulkAuthorizationProvider, BulkRoleProvider, CertPathProvider, CredentialProvider, CredentialProviderV2, DeployableAuthorizationProvider, DeployableAuthorizationProviderV2, DeployableCredentialProvider, DeployableRoleProvider, DeployableRoleProviderV2, RoleProvider, VersionableApplicationProvider

    public interface SecurityProvider

The `SecurityProvider` interface is required of all security providers (WebLogic and custom) because it provides basic methods for their use in the WebLogic Server environment.

Method Summary
`String` | `getDescription()` Gets a brief text description of the security provider.
`void` | `initialize(ProviderMBean providerMBean, SecurityServices securityServices)` Initializes the security provider.
`void` | `shutdown()` Shuts down the security provider.

Method Detail

### initialize

    void initialize(ProviderMBean providerMBean,
                    SecurityServices securityServices)

  Initializes the security provider.

  Parameters:
    `providerMBean` - the MBean specific to the security provider that is used during initialization.

    `securityServices` - an object from which a security provider can get the `AuditorService`, which limits the security provider to using the `Auditor` object's `writeEvent` method.

  Throws:
    `SecurityException` - if the caller lacks appropriate permission for the operation.

### getDescription

    String getDescription()

  Gets a brief text description of the security provider. For example, "Weblogic Authentication provider, version 1.0".

  Returns:
    a String describing this security provider.

### shutdown

    void shutdown()

  Shuts down the security provider.

  Throws:
    `SecurityException` - if the caller lacks appropriate permission for the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD